Add a competitor
POST
BearerAuthheader
AuthorizationBearer <token>An instance admin key from ADMIN_API_KEYS, or an organization key (elmo_…) issued from the dashboard.
application/json- body
Add a competitor to a brand.
brandId*stringLength
1 <= lengthname*stringLength
1 <= lengthdomains?array<string>aliases?array<string>Competitor created
application/json- response
id*stringFormat
uuidbrandId*stringname*stringdomains*array<string>aliases*array<string>createdAt*stringFormat
date-timeupdatedAt*stringFormat
date-timecurl -X POST 'https://app.elmohq.com/api/v1/competitors' \
-H 'Content-Type: application/json' \
-d '{
"brandId": "string",
"name": "string"
}'Example Response
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"brandId": "string",
"name": "string",
"domains": [
"string"
],
"aliases": [
"string"
],
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}